Bug 998658 - Make throwing Exception default behavior for SwitchYard ServiceTaskHandler when encountering Faults
Make throwing Exception default behavior for SwitchYard ServiceTaskHandler wh...
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER3
: ---
Assigned To: David Ward
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 13:43 EDT by David Ward
Modified: 2014-06-16 19:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1606 Major Closed Make throwing Exception default behavior for SwitchYard ServiceTaskHandler when encountering Faults 2014-06-16 19:53:34 EDT

  None (edit)
Description David Ward 2013-08-19 13:43:56 EDT
See JBoss JIRA: SWITCHYARD-1606
Comment 2 JBoss JIRA Server 2013-08-22 16:27:32 EDT
David Ward <dward@jboss.org> made a comment on jira SWITCHYARD-1606

https://github.com/jboss-switchyard/components/pull/553

In addition the changing the default FaultAction to "THROW", I also added:

1) A new FaultAction called "SKIP" which you can set if you like the *old* default behavior.

2) 2 new JUnit tests (success + failure) which exercise boundary events.
Comment 3 JBoss JIRA Server 2013-08-28 17:15:05 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1606

pushed
Comment 7 Jiri Pechanec 2014-01-14 04:00:23 EST
Verified in ER8
Comment 8 JBoss JIRA Server 2014-06-16 19:53:35 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1606 to Closed

Note You need to log in before you can comment on or make changes to this bug.